Bug 446333 - yum groupinstall and groupupdate "Japanese Support" fail
yum groupinstall and groupupdate "Japanese Support" fail
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 01:05 EDT by Kazutoshi Morioka
Modified: 2014-01-21 18:02 EST (History)
5 users (show)

See Also:
Fixed In Version: 3.2.16-2.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-30 11:05:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kazutoshi Morioka 2008-05-14 01:05:01 EDT
Description of problem:
Due broken comps.xml by bug#446186, yum groupinstall "Japanese Support" of yum
groupupdate "Japanese Support" failed and shows an error below.

Transaction Check Error:
  package xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.x86_64 is already
installed

There is an updated comps-f9.xml in /var/cache/yum/updates/ and yum did read it.
However, it didn't solve this situation.

Version-Release number of selected component (if applicable):
yum-3.2.14-10.fc9.noarch

How reproducible:
always

Steps to Reproduce:
1.Install Fedora 9 with lang=ja
2.yum groupinstall 'Japanese Supoprt'
  
Actual results:
Transaction Check Error:
  package xorg-x11-server-Xorg-1.4.99.901-29.20080415.fc9.x86_64 is already
installed

Expected results:
The missing packages, scim-anthy, scim-lang-japanese are installed.

Additional info:
There is a workaround. With a option --exclude=xorg-x11-server-Xorg, yum
installed missing packages.
Comment 1 Bill Nottingham 2008-05-15 13:58:53 EDT
So, with just the final Fedora repo, I get:

[root@nostromo ~]# yum --disablerepo=\* --enablerepo=fedora groupinstall
"Japanese Support"
Loaded plugins: refresh-packagekit
Setting up Group Process
Package sazanami-fonts-mincho-0.20040629-4.20061016.fc8.noarch already installed
and latest version
Resolving Dependencies
--> Running transaction check
---> Package VLGothic-fonts.noarch 0:20071215-2.fc9 set to be updated
---> Package fonts-japanese.noarch 0:0.20061016-12.fc8 set to be updated
---> Package sazanami-fonts-gothic.noarch 0:0.20040629-4.20061016.fc8 set to be
updated
---> Package VLGothic-fonts-proportional.noarch 0:20071215-2.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 VLGothic-fonts          noarch     20071215-2.fc9   fedora            2.3 M
 VLGothic-fonts-proportional  noarch     20071215-2.fc9   fedora            2.3 M
 fonts-japanese          noarch     0.20061016-12.fc8  fedora             22 M
 sazanami-fonts-gothic   noarch     0.20040629-4.20061016.fc8  fedora          
 4.3 M

Transaction Summary
=============================================================================
Install      4 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 31 M
Is this ok [y/N]: 


Pointing at updates as well:

[root@nostromo ~]# yum --disablerepo=\* --enablerepo=fedora --enablerepo=updates
groupinstall "Japanese Support"
Loaded plugins: refresh-packagekit
updates                                                  | 2.3 kB     00:00    
primary.sqlite.bz2                                       | 199 kB     00:00    
Setting up Group Process
comps-f9.xml                                             | 1.3 MB     00:00    
Package sazanami-fonts-mincho-0.20040629-4.20061016.fc8.noarch already installed
and latest version
Package man-pages-2.78-2.fc9.noarch already installed and latest version
Package 1:openoffice.org-core-2.4.0-12.8.fc9.x86_64 already installed and latest
version
Resolving Dependencies
--> Running transaction check
---> Package openoffice.org-langpack-ja_JP.x86_64 1:2.4.0-12.8.fc9 set to be updated
---> Package fonts-japanese.noarch 0:0.20061016-13.fc9 set to be updated
---> Package xorg-x11-server-Xorg.x86_64 0:1.4.99.901-29.20080415.fc9 set to be
updated
---> Package VLGothic-fonts-proportional.noarch 0:20071215-2.fc9 set to be updated
---> Package scim-lang-japanese.x86_64 0:1.4.7-23.fc9 set to be updated
--> Processing Dependency: scim-bridge-gtk for package: scim-lang-japanese
---> Package sazanami-fonts-gothic.noarch 0:0.20040629-4.20061016.fc8 set to be
updated
---> Package VLGothic-fonts.noarch 0:20071215-2.fc9 set to be updated
---> Package man-pages-ja.noarch 0:20080315-1.fc9 set to be updated
---> Package scim-anthy.x86_64 0:1.2.4-4.fc9 set to be updated
--> Processing Dependency: libanthy.so.0()(64bit) for package: scim-anthy
--> Processing Dependency: libanthydic.so.0()(64bit) for package: scim-anthy
--> Processing Dependency: libscim-1.0.so.8()(64bit) for package: scim-anthy
--> Processing Dependency: libscim-gtkutils-1.0.so.8()(64bit) for package:
scim-anthy
--> Processing Dependency: kasumi for package: scim-anthy
--> Processing Dependency: scim for package: scim-anthy
--> Processing Dependency: libscim-1.0.so.8(LIBSCIM_1.0)(64bit) for package:
scim-anthy
--> Running transaction check
---> Package anthy.x86_64 0:9100e-2.fc9 set to be updated
---> Package scim-libs.x86_64 0:1.4.7-23.fc9 set to be updated
---> Package scim.x86_64 0:1.4.7-23.fc9 set to be updated
--> Processing Dependency: im-chooser for package: scim
---> Package scim-bridge-gtk.x86_64 0:0.4.15-5.fc9 set to be updated
--> Processing Dependency: scim-bridge = 0.4.15-5.fc9 for package: scim-bridge-gtk
---> Package kasumi.x86_64 0:2.3-4.fc9 set to be updated
--> Running transaction check
---> Package scim-bridge.x86_64 0:0.4.15-5.fc9 set to be updated
---> Package im-chooser.x86_64 0:0.99.6-3.fc9 set to be updated
--> Processing Dependency: imsettings = 0.99.6-3.fc9 for package: im-chooser
--> Processing Dependency: libimsettings.so.0()(64bit) for package: im-chooser
--> Running transaction check
---> Package imsettings.x86_64 0:0.99.6-3.fc9 set to be updated
---> Package imsettings-libs.x86_64 0:0.99.6-3.fc9 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size 
=============================================================================
Installing:
 VLGothic-fonts          noarch     20071215-2.fc9   fedora            2.3 M
 VLGothic-fonts-proportional  noarch     20071215-2.fc9   fedora            2.3 M
 fonts-japanese          noarch     0.20061016-13.fc9  updates            22 M
 man-pages-ja            noarch     20080315-1.fc9   fedora            5.1 M
 openoffice.org-langpack-ja_JP  x86_64     1:2.4.0-12.8.fc9  fedora             16 M
 sazanami-fonts-gothic   noarch     0.20040629-4.20061016.fc8  fedora          
 4.3 M
 scim-anthy              x86_64     1.2.4-4.fc9      fedora            346 k
 scim-lang-japanese      x86_64     1.4.7-23.fc9     fedora             25 k
Installing for dependencies:
 anthy                   x86_64     9100e-2.fc9      fedora            6.6 M
 im-chooser              x86_64     0.99.6-3.fc9     fedora            158 k
 imsettings              x86_64     0.99.6-3.fc9     fedora             82 k
 imsettings-libs         x86_64     0.99.6-3.fc9     fedora             43 k
 kasumi                  x86_64     2.3-4.fc9        fedora             83 k
 scim                    x86_64     1.4.7-23.fc9     fedora            557 k
 scim-bridge             x86_64     0.4.15-5.fc9     fedora            101 k
 scim-bridge-gtk         x86_64     0.4.15-5.fc9     fedora             41 k
 scim-libs               x86_64     1.4.7-23.fc9     fedora            410 k
 xorg-x11-server-Xorg    x86_64     1.4.99.901-29.20080415.fc9  fedora         
  2.4 M

Transaction Summary
=============================================================================
Install     18 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 63 M
Is this ok [y/N]: 

So, it seems to me to be entirely comps related - I don't see any yum issues here.
Comment 2 Kazutoshi Morioka 2008-05-16 00:21:45 EDT
Why yum try to install xorg-x11-server-Xorg with newer comps-f9.xml?
I think it is another yum issue hidden by broken comps.
If yum is ignoring broken Fedora-9-comps.xml and according to newer
comps-f9.xml, it seems that yum do not treat conditional packages properly.
Comment 3 Seth Vidal 2008-05-16 00:27:59 EDT
We know of and fixed an issue where conditional packages were being added to the
install when they should not have been. That'll be available in the next release
of yum.
Comment 4 Kazutoshi Morioka 2008-05-16 13:40:03 EDT
I saw that yum-3.2.16-1.fc9.noarch.rpm from koji fixed this problems.
Thank you.
Comment 5 Kulbir Saini 2008-05-30 09:45:32 EDT
The bug has already been fixed and should be closed now.

Note You need to log in before you can comment on or make changes to this bug.